.\"	$NetBSD: ifaliases.5,v 1.13 2003/01/18 18:32:20 grant Exp $
.\"
.\" Copyright (c) 1996 Matthew R. Green
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
.\" OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
.\" IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
.\" BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
.\" LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED
.\" AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
.\" OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.Dd November 17, 2000
.Dt IFALIASES 5
.Os
.Sh NAME
.Nm ifaliases
.Nd interface aliases file
.Sh DESCRIPTION
The
.Nm
file specifies the additional addresses (aliases) that each interface
has.
.Nm
is processed by
.Pa /etc/rc.d/network
at system boot time.
.Pp
Each line of the file is of the form:
.D1 address interface [netmask]
.Pp
The
.Em address
is a network address of the alias.
This must be a number, or must be in
.Pa /etc/hosts ,
since the nameserver is not running at this point.
.Pp
The
.Em interface
is the network interface the alias will be configured on.
.Pp
The
.Em netmask
is the netmask of the alias' network address.
Although this is optional, omitting the netmask is discouraged.
Omission results in the use of the classful netmask associated with
.Em address .
.Sh FILES
.Pa /etc/ifaliases ,
.Pa /etc/rc.d/network
.Sh HISTORY
The
.Nm
file appeared in
.Nx 1.2 .
.Sh BUGS
.Nm
assumes IPv4, and does not support other protocol families.
Please check
.Xr rc.conf 5
for alternatives like
.Pa /etc/ifconfig.xxN .
